Subject: Re: bug#34476: fluffy whitespace in the mode-line, despite it running off the screen

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Aug 2020 16:16:54 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 14 Aug 2020 14:00:16 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The alternative which I would like to try implementing is to modify
> > the code of display_string so that it doesn't produce multiple space
> > glyphs, replacing them with a single glyph, when this option is
> > non-nil.  Since display_mode_element always calls display_string to
> > produce the glyphs, this should allow us to solve the problem cleanly.
> > Stay tuned.
> 
> Sounds good...  but I guess this wouldn't allow us to do the `long'
> version of the variable?  (I.e., only compact if the line is too long.)

We could perhaps do that at the price of producing the glyphs twice:
first without squeezing spaces, then with squeezing if the result is a
truncated mode line.

But first I need to see if this new idea "holds water".